/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing isalnum() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c='A';
    printf("isalnum('%c') returns %d\n", c,isalnum(c));
    if(isalnum(c) > 0)
        printf("'%c' is an alphanumeric character.\n",c);
    else
        printf("'%c' is not an alphanumeric character.\n", c);
    c = '4';
    printf("isalnum('%c') returns %d\n", c, isalnum(c));
    if(isalnum(c) > 0)
        printf("'%c' is an alphanumeric character.\n",c);
    else
        printf("'%c' is not an alphanumeric character.\n", c);

}
